/*
 * Class TYPE [BOOLEAN]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_844 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_844 [] = {0xFF01,237,843,191,0xFFFF};
static const EIF_TYPE_INDEX egt_2_844 [] = {0xFF01,843,191,0xFFFF};
static const EIF_TYPE_INDEX egt_3_844 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_844 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_844 [] = {0xFF01,843,191,0xFFFF};
static const EIF_TYPE_INDEX egt_6_844 [] = {0xFF01,843,191,0xFFFF};
static const EIF_TYPE_INDEX egt_7_844 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_844 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_844 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_844 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_844 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_844 [] = {843,191,0xFFFF};
static const EIF_TYPE_INDEX egt_13_844 [] = {0xFF01,843,191,0xFFFF};
static const EIF_TYPE_INDEX egt_14_844 [] = {0xFF01,228,0xFFFF};
static const EIF_TYPE_INDEX egt_15_844 [] = {0xFF01,237,0,0xFFFF};
static const EIF_TYPE_INDEX egt_16_844 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_844 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_844 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_844 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_844 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_844 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_22_844 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_23_844 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_24_844 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_25_844 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_26_844 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_27_844 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_844 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_844[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_844), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_844), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9661, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_844), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_844), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_844), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_844), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_844), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_844), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_844), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_844), 9669, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_844), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_844), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_844), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_844), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 9656, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8401, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9662, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9663, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1451, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1449, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_844), 9653, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_844), 9654, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 9655, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 9657, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9658, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9659, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9660, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_844), 9664, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_844), 9665, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_844), 9666, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_844), 9667, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_844), 9668, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_844), 9671, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9672, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9673, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_844), 9674, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_844), 9675, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_844), 9676, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_844), 9677, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01C9 /*228*/), 9678, 0},
	{EIF_GENERIC(egt_26_844), 9679, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_844), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_844), 9670, 0xFFFFFFFF},
};
void Init844(void)
{
	IDSC(desc_844, 0, 843);
	IDSC(desc_844 + 1, 1, 843);
	IDSC(desc_844 + 32, 248, 843);
	IDSC(desc_844 + 34, 203, 843);
	IDSC(desc_844 + 38, 11, 843);
	IDSC(desc_844 + 60, 336, 843);
}


#ifdef __cplusplus
}
#endif
